# Uses of Enum
org.eclipse.mat.query.annotations.Argument.Advice

Packages that use Argument.Advice
Package
Description
org.eclipse.mat.internal.snapshot
Collects arguments for queries.
org.eclipse.mat.query
Package for examining and controlling results of running queries.
org.eclipse.mat.query.annotations
Annotations for Queries.
org.eclipse.mat.query.annotations.descriptors
Package of interfaces for examining annotations of queries and arguments.
org.eclipse.mat.query.registry
Package for getting a list of queries and examining their capabilities and setting them up.
org.eclipse.mat.ui.internal.acquire
Acquire heap dumps from other running processes - user interface (not API).

## Uses of Argument.Advice in org.eclipse.mat.internal.snapshot

Methods in org.eclipse.mat.internal.snapshot with parameters of type Argument.Advice
Modifier and Type
Method
Description
`boolean`
SnapshotQueryContext.`available(Class<?> type, Argument.Advice advice)`
`boolean`
SnapshotQueryContext.`converts(Class<?> type, Argument.Advice advice)`
`String`
SnapshotQueryContext.`convertToString(Class<?> type, Argument.Advice advice, Object value)`
`Object`
SnapshotQueryContext.`convertToValue(Class<?> type, Argument.Advice advice, String value)`
`Object`
SnapshotQueryContext.`get(Class<?> type, Argument.Advice advice)`
`Object`
SnapshotQueryContext.`parse(Class<?> type, Argument.Advice advice, String[] args, ParsePosition pos)`
`boolean`
SnapshotQueryContext.`parses(Class<?> type, Argument.Advice advice)`

## Uses of Argument.Advice in org.eclipse.mat.query

Methods in org.eclipse.mat.query with parameters of type Argument.Advice
Modifier and Type
Method
Description
`boolean`
IQueryContext.`available(Class<?> type, Argument.Advice advice)`
Is this type of data available from the context?
`boolean`
IQueryContext.`converts(Class<?> type, Argument.Advice advice)`
Does the context have a converter for data of this type?
`String`
IQueryContext.`convertToString(Class<?> type, Argument.Advice advice, Object value)`
Convert the value to a string.
`Object`
IQueryContext.`convertToValue(Class<?> type, Argument.Advice advice, String value)`
Convert the String to the value based on the type and advice.
`Object`
IQueryContext.`get(Class<?> type, Argument.Advice advice)`
Get this type of data from the context.
`Object`
IQueryContext.`parse(Class<?> type, Argument.Advice advice, String[] args, ParsePosition pos)`
Consume the special data.
`boolean`
IQueryContext.`parses(Class<?> type, Argument.Advice advice)`
Is special parsing required to get an object of the required type?

## Uses of Argument.Advice in org.eclipse.mat.query.annotations

Methods in org.eclipse.mat.query.annotations that return Argument.Advice
Modifier and Type
Method
Description
`static Argument.Advice`
Argument.Advice.`valueOf(String name)`
Returns the enum constant of this type with the specified name.
`static Argument.Advice[]`
Argument.Advice.`values()`
Returns an array containing the constants of this enum type, in the order they are declared.

## Uses of Argument.Advice in org.eclipse.mat.query.annotations.descriptors

Methods in org.eclipse.mat.query.annotations.descriptors that return Argument.Advice
Modifier and Type
Method
Description
`Argument.Advice`
IArgumentDescriptor.`getAdvice()`
Get the `Argument.Advice` provided with the annotation

## Uses of Argument.Advice in org.eclipse.mat.query.registry

Methods in org.eclipse.mat.query.registry that return Argument.Advice
Modifier and Type
Method
Description
`Argument.Advice`
ArgumentDescriptor.`getAdvice()`
Methods in org.eclipse.mat.query.registry with parameters of type Argument.Advice
Modifier and Type
Method
Description
`boolean`
QueryContextImpl.`available(Class<?> type, Argument.Advice advice)`
`boolean`
QueryContextImpl.`converts(Class<?> type, Argument.Advice advice)`
`String`
QueryContextImpl.`convertToString(Class<?> type, Argument.Advice advice, Object value)`
`Object`
QueryContextImpl.`convertToValue(Class<?> type, Argument.Advice advice, String value)`
`Object`
QueryContextImpl.`get(Class<?> type, Argument.Advice advice)`
`void`
ArgumentDescriptor.`setAdvice(Argument.Advice advice)`

## Uses of Argument.Advice in org.eclipse.mat.ui.internal.acquire

Methods in org.eclipse.mat.ui.internal.acquire with parameters of type Argument.Advice
Modifier and Type
Method
Description
`Object`
ProviderContextImpl.`parse(Class<?> type, Argument.Advice advice, String[] args, ParsePosition pos)`
`boolean`
ProviderContextImpl.`parses(Class<?> type, Argument.Advice advice)`